unit Common;
{
*****************************************************************************
* Name:					Constant.Pas																								*
* Description:	Constants for Lines																					*
*****************************************************************************
}
interface

uses
  Windows,
  MMSystem;
const
	BACKSLASH		=	'\';
	BASEKEY		= '\Software\NPS\Lines95';
	wnTICK			=	'SOUND1';
	wnREMOVE		= 'SOUND2';
  wnSYSTEM		= 'SOUND3';
  BmpMaxNr		=	3;
  ColorMaxNr	=	8;
	EmptyId			=	0;
  LinesMaxNr	=	8;
  Players			=	10;
  NameLg			=	15;
  InfoGapLg		=	2;
  ScoreLg			=	5;
  InfoLg			=	NameLg + InfoGapLg + ScoreLg;
  PasswordLg	=	12;
	President		=	0;
	Pretendent	=	Players;
  Anonymous		=	'Anonymous';
  AddKey			=	62759879;
  MultKey			=	1722096934;
  StartKey		=	405161930;

type
	TBitmapIndex	=	0..BmpMaxNr;
  TColorIndex		=	0..ColorMaxNr;
  TLineIndex	 	=	0..LinesMaxNr;
  TPlayerIndex 	=	0..Players;
	TScore				=	string[ScoreLg];
  TUserName			= string[NameLg];
  TPassword			= string[PasswordLg];
var
///////////////////////
///   Sound flags   ///
///////////////////////
 	JumpSnd					: Boolean;
 	RemoveBallSnd		: Boolean;
 	BadMoveSnd			: Boolean;
 	SysSnd					: Boolean;
/////////////////////////
///   Other globals   ///
/////////////////////////
	Games						:	Integer;
	Removed					:	Longint;

	procedure	RunSystemWave;

implementation

{uses Main;}

//*******************************
//* Play error wave asynchronly	*
//*******************************
procedure RunSystemWave;
begin
	PlaySound(wnSYSTEM,hInstance,SND_RESOURCE or SND_ASYNC);
end;	{RunSystemWave}

end.
